
% parametri, SI jedinice osim energije (eV)
e0=0; t1=-1; t2=-2;
NW=[2,10,100];
ka=linspace(-pi,pi,1001);

eigEk1=[];
eigEk2=[];
eigEk3=[];

% racunanje disperzije za razlicite sirine nanovrpce NW
for m=1:length(NW)
    
    % alpha = matrica stupac-celije, beta = interakcija izmedju
    % stupac-celija
    alpha = e0*diag(ones(1,NW(m))) + t2*diag(ones(1,NW(m)-1),1)...
        + t2*diag(ones(1,NW(m)-1),-1);
    beta = t1*diag(ones(1,NW(m)));
    
    N_Ek = NW(m); eigEk = zeros(length(ka),N_Ek);

    % racunanje svojstvenih vrijednosti za E-k dijagram
    for k = 1:length(ka)
        [V,D] = eig(alpha + beta*exp(1i*ka(k))+ beta'*exp(-1i*ka(k)));
        eigEk(k,:) = diag(D);
    end

    if(m==1) eigEk1=eigEk; end
    if(m==2) eigEk2=eigEk; end
    if(m==3) eigEk3=eigEk; end

end

figure(1), ...
    subplot(1,3,1), plot(ka/pi,eigEk1,'b'), xlabel('ka/\pi'), ylabel('E (eV)'),...
    axis([-1 1 -7 7]), text(-0.5,6,['N = 2']), ...
    subplot(1,3,2), plot(ka/pi,eigEk2,'b'), xlabel('ka/\pi'), ylabel('E (eV)'),...
    axis([-1 1 -7 7]), text(-0.5,6,['N = 10']),...    
    subplot(1,3,3), plot(ka/pi,eigEk3,'b'), xlabel('ka/\pi'), ylabel('E (eV)'),...
    axis([-1 1 -7 7]), text(-0.5,6,['N = 100']);