% parametri
H=0.5; % orbitalna energija
zplus=1i*1e-12;
E=linspace(-4,4,1000);

% vlastita energija kontakta
sig1=0.5-0.5*1i;
sig2=0.1-0.1*1i;

D1=zeros(1,length(E));
D2=zeros(1,length(E));

for n=1:length(E)
    
    EE=E(n);
    
    G1=inv((EE+zplus)-H-sig1);
    G2=inv((EE+zplus)-H-sig2);

    A1=1i*(G1-G1');
    A2=1i*(G2-G2');
    
    D1(n)=A1(1,1);
    D2(n)=A2(1,1);
    
end

figure(1), plot(D1,E,'b-',D2,E,'r--','LineWidth',2), grid on, ylim([-4 4]),...
    xlim([0 20]), legend('\Sigma = 0,5 - 0,5*i','\Sigma = 0,1 - 0,1*i'),...
    ylabel('E (eV)'), xlabel('A(E)  (eV^{-1})');

