
% parametri, SI jedinice osim energije (eV)
t0=1;
kT=0.025;
zplus=1i*1e-6;
	
% energijski spektar
NE=1001;
E=linspace(-3,3,NE);

% energijski i naponski parametri
Ef=0;
V=0.01;
EfL=Ef+V/2;
EfR=Ef-V/2;
f1=1/(1+exp((0-EfL)/kT));
f2=1/(1+exp((0-EfR)/kT));

% definicija hamiltonijana
Np=5;
ind_def=floor(Np/2)+1; % za slucaj s defektom na sredini lanca
UBmax=1; % amplituda defekta
U1=V*linspace(0.5,-0.5,Np)';
T=(2*0*diag(ones(1,Np)))-(t0*diag(ones(1,Np-1),1))-(t0*diag(ones(1,Np-1),-1));

% proracun za cetiri slucaja
% posebne funkcije/skripte za dijagonalnu (gfel_diagD)...
% i punu (gfel_fullD) matricu D

% koherentno, bez defekta
D=0;
UB=zeros(Np,1); 
gfel_diagD;
Teff_0 = Teff;
clear Teff;

% koherentno, s potencijalnim defektom na sredini lanca
D=0;
UB=zeros(Np,1); UB(ind_def)=UBmax;
gfel_diagD;
Teff_1 = Teff;
clear Teff;

% nekoherentno, elasticno, bez defekta, rel. faze i momenta (dijagonalna D)
D=1;
UB=zeros(Np,1);
gfel_diagD;
Teff_2 = Teff;
clear Teff;

% nekoherentno, elasticno, rel. samo faze (puna D)
D=1;
UB=zeros(Np,1);
gfel_fullD;
Teff_3 = Teff;
clear Teff;

figure, plot(Teff_0,E,'b-',Teff_1,E,'b--',Teff_2,E,'r-.',Teff_3,E,'r:',...
    'LineWidth',2), grid on, xlabel('Efektivna transmisija'), ylabel('E (eV)'),...
    xlim([0 1.5]), ylim([-3 3]), legend('koherentni','koherentni s defektom',...
    'nekoherentni (samo faza)','nekoherentni (faza + moment)');


