
% parametri, SI jedinice osim energije (eV)
a=1e-10;
t0=1;
zplus=1i*1e-6;
kT=0.025;
	
% energijski spektar (samo jedna tocka)
NE=1; E=0;

% energijski i naponski parametri
Ef=0; V=0.01;
EfL=Ef+V/2; EfR=Ef-V/2;
f1=1; f2=0;

% definicija hamiltonijana
Np=201; Nc=51; Nt=Np+2*Nc; 
U1=V*linspace(0.5,-0.5,Np)';
XX=a*linspace(0,Nt-1,Nt);
T=(2*0*diag(ones(1,Np)))-(t0*diag(ones(1,Np-1),1))-(t0*diag(ones(1,Np-1),-1));

% proracun za cetiri slucaja
% posebna funkcija/skripta za proracun kvazi-Fermijevog profila
% gfel_diagD_fermi

% koherentno
D=0;
gfel_diagD_fermi;
Feff_0 = [ones(Nc,1); Feff; zeros(Nc,1)];
clear Feff;

% nekoherentno, D = 0.01 eV^2
D=0.01;
gfel_diagD_fermi;
Feff_1 = [ones(Nc,1); Feff; zeros(Nc,1)];
clear Feff;

% nekoherentno, D = 0.05 eV^2
D=0.05;
gfel_diagD_fermi;
Feff_2 = [ones(Nc,1); Feff; zeros(Nc,1)];
clear Feff;

% nekoherentno, D = 0.5 eV^2
D=0.5;
gfel_diagD_fermi;
Feff_3 = [ones(Nc,1); Feff; zeros(Nc,1)];
clear Feff;

figure, plot(XX/1e-9,Feff_0,'b-',XX/1e-9,Feff_1,'r--',XX/1e-9,Feff_2,'g-.',...
    XX/1e-9,Feff_3,'m:','LineWidth',2), grid on, xlabel('x (nm)'),...
    ylabel('Kvazi-Fermijeva funkcija'), xlim([0 30]), ylim([-0.1 1.1]),...
    legend('koherentni','nekoherentni, D = 0,01 eV^{2}',...
    'nekoherentni, D = 0,05 eV^{2}','nekoherentni, D = 0,5 eV^{2}');


