% broj fononskih modova
Nph=size(Eop,2); 

% naponske tocke
NV=201;
VV=linspace(-0.5,0.5,NV);
dV=VV(2)-VV(1);

% energijski spektar, posmaci i broj fonona
NE=2001;
E=linspace(-0.7,0.7,NE);
dE=E(2)-E(1);
off=floor(Eop./dE); % za emi/aps posmake, fononska energija/dE
Nop=1./((exp(dE*off./kT))-1); % broj fonona

% samokonzistentna petlja
for iV=1:NV
    
    V=VV(iV); mu1=Ef; mu2=Ef-V;
    U1=-0.5*V;
    
    f1=1./(1+exp((E-mu1)./kT));
    f2=1./(1+exp((E-mu2)./kT));
    
    % pocetne vrijednosti matrica
    Gn=zeros(1,NE); Gp=zeros(1,NE);
    sigin1=zeros(1,NE); sigout1=zeros(1,NE);
    sigin2=zeros(1,NE); sigout2=zeros(1,NE);
    siginS=zeros(1,NE); sigoutS=zeros(1,NE);
    
    error=1;
    while error>1e-3
        
        for k=1:NE
            
            sig1=-1i*gamma/2; gam1=1i*(sig1-sig1');
            sig2=-1i*gamma/2; gam2=1i*(sig2-sig2');
            sigin1(k)=f1(k)*gam1; sigin2(k)=f2(k)*gam2;
            sigout1(k)=(1-f1(k))*gam1; sigout2(k)=(1-f2(k))*gam2;
            
            gamS=siginS(k)+sigoutS(k);
            
            G=inv((E(k)+zplus)-H0-U1-sig1-sig2+(1i*0.5*gamS));
            A=1i*(G-G');
            Gn(k)=real(G*((f1(k)*gam1)+(f2(k)*gam2)+siginS(k))*G');
            Gp(k)=A-Gn(k);
            
        end
        
        siginSnova=zeros(1,NE); sigoutSnova=zeros(1,NE);
        
        for iop=1:Nph % racunanje za sve fononske modove, indeks iop=1,2
            
            offset=off(iop);
            
            if offset<NE
                
                Gnemi=Gn([offset+1:NE]); Gnemi=[Gnemi zeros(1,offset)];
                Gnabs=Gn([1:NE-offset]); Gnabs=[zeros(1,offset) Gnabs];
                Gpabs=Gp([offset+1:NE]); Gpabs=[Gpabs zeros(1,offset)];
                Gpemi=Gp([1:NE-offset]); Gpemi=[zeros(1,offset) Gpemi];
                
                siginSnova = siginSnova + (Nop(iop)+1)*Dop(iop)*Gnemi +...
                    Nop(iop)*Dop(iop)*Gnabs;
                sigoutSnova = sigoutSnova + (Nop(iop)+1)*Dop(iop)*Gpemi +...
                    Nop(iop)*Dop(iop)*Gpabs;
                
            end
            
        end
        
        err1=sum(sum(abs(siginSnova-siginS)));
        err2=sum(sum(abs(sigoutSnova-sigoutS)));
        error=max([err1,err2])
        siginS=siginSnova;
        sigoutS=sigoutSnova;
    
    end
    
    I1=real((sigout1.*Gn)-(sigin1.*Gp)); I1=sum(I1);
    I2=real((sigout2.*Gn)-(sigin2.*Gp)); I2=sum(I2);

    II(iV)=sum(I2)*dE*I0;

end

