
% konstante i parametri, SI jedinice osim energije (eV)
hbar=1.06e-34;
q=1.6e-19;
I0=q*q/(2*pi*hbar); % strujna konstanta
H0=5; % orbitalna energija u 0-D strukturi
Ef=0;
kT=0.0025; % na 30 K
zplus=1i*1e-12;
gamma=0.1; % prosirenje realnim kontakata


% 1. slucaj: koherentni transport
Dop=[0 0]; % jakost rasprsenja za dva fonona
Eop=[0.050 0.200]; % energije za dva fonona

iets

II0=II; G10=diff(II0)./dV; VG0=VV([2:NV]);
IETS0=diff(G10)./dV; VETS0=VV([3:NV]);


% 2. slucaj: disipativni transport
Dop=[0.5 0.7]; % jakost rasprsenja za dva fonona
Eop=[0.050 0.200]; % energije za dva fonona

iets

G1=diff(II)./dV; VG=VV([2:NV]);
IETS=diff(G1)./dV; VETS=VV([3:NV]);


figure(1),...
    subplot(1,3,1), plot(VV,II0,'r--',VV,II,'b','LineWidth',2),...
        xlabel('U (V)'), ylabel('I (A)'), grid on, legend('koherentni',...
        'disipativni','Location','northwest'),...
    subplot(1,3,2), plot(VG0,G10,'r--',VG,G1,'b','LineWidth',2),...
        xlabel('U (V)'), ylabel('dI/dU (A/V)'), grid on,...
    subplot(1,3,3), plot(VETS0,IETS0,'r--',VETS,IETS,'b','LineWidth',2),...
        xlabel('U (V)'), ylabel('d^{2}I/dU^{2} (A/V^{2})'), title('T = 30 K'),...
        grid on;
